Create Resident Event: RealPage Partner Exchange
POST
https://api.propexo.com/v1/events/residents/realpage_rpx/| Method | Interface |
|---|---|
| AddResidentActivityLog | Collections |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
resident_idstringrequired
The Propexo unique identifier for the resident
event_type_idstringrequired
The Propexo unique identifier for the event type
notesstringrequired
Notes associated with the event
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
resident_idstringrequired
The Propexo unique identifier for the resident
event_type_idstringrequired
The Propexo unique identifier for the event type
notesstringrequired
Notes associated with the event
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/events/residents/realpage_rpx/
- cURL
- Node.js
- Python
curl -X POST https://api.propexo.com/v1/events/residents/realpage_rpx/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"resident_id": "string",
"event_type_id": "string",
"notes": "string"
}'
const response = await fetch("https://api.propexo.com/v1/events/residents/realpage_rpx/", {
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"integration_id": "string",
"resident_id": "string",
"event_type_id": "string",
"notes": "string"
}),
});
const data = await response.json();
import requests
response = requests.post(
"https://api.propexo.com/v1/events/residents/realpage_rpx/",
headers={"Authorization": "Bearer <token>"},
json={
"integration_id": "string",
"resident_id": "string",
"event_type_id": "string",
"notes": "string"
},
)
data = response.json()
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"event_type_id": "string",
"notes": "string"
}
}